#ifndef _LIVEPATCH_BSC1204624_H
#define _LIVEPATCH_BSC1204624_H

#if IS_ENABLED(CONFIG_BT)

int livepatch_bsc1204624_init(void);
void livepatch_bsc1204624_cleanup(void);


struct l2cap_conn;
struct sk_buff;

void klpp_l2cap_recv_frame(struct l2cap_conn *conn, struct sk_buff *skb);

struct l2cap_chan;
struct l2cap_ctrl;

int klpp_l2cap_rx_state_recv(struct l2cap_chan *chan,
			       struct l2cap_ctrl *control,
			       struct sk_buff *skb, u8 event);

#else /* !IS_ENABLED(CONFIG_BT) */

static inline int livepatch_bsc1204624_init(void) { return 0; }

static inline void livepatch_bsc1204624_cleanup(void) {}

#endif /* IS_ENABLED(CONFIG_BT) */
#endif /* _LIVEPATCH_BSC1204624_H */
